<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hw.dms.mapper.BaseAttachInfoMapper">
    <resultMap type="BaseAttachInfo" id="BaseAttachInfoResult">
        <result property="attachId" column="attach_id"/>
        <result property="attachCode" column="attach_code"/>
        <result property="attachName" column="attach_name"/>
        <result property="attachType" column="attach_type"/>
        <result property="attachPath" column="attach_path"/>
        <result property="processId" column="process_id"/>
        <result property="activeFlag" column="active_flag"/>
        <result property="remark" column="remark"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>

    <insert id="batchDmsKnowLedgeLubeFile" >
        insert into mes_base_attach_info( attach_type, attach_name, attach_path, process_id) values
        <foreach item="item" index="index" collection="list" separator=",">
            ( #{item.attachType}, #{item.attachName}, #{item.attachPath}, #{item.processId})
        </foreach>

    </insert>

    <select id="selectListBaseAttachInfos" >
        select attach_path
        from mes_base_attach_info
        where attach_type = #{attachType} and process_id = #{processId}
    </select>

    <delete id="deleteListBaseAttachInfos"  >
        delete from mes_base_attach_info
        where attach_type = #{attachType} and process_id = #{processId}
    </delete>
</mapper>
